be.fgov.ehealth.etkra.protocol.v2

## Class StartETKRegistrationRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.etkra.protocol.v2.StartETKRegistrationRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-29T11:33:41+02:00",
                 comments="JAXB RI v2.3.7")
      public class StartETKRegistrationRequest
      extends RequestType
      implements Serializable

  Request for starting the creation of the eHealth Encryption Token.

  Java class for StartETKRegistrationRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StartETKRegistrationRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element name="PublicEncryptionKey" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartETKRegistrationRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getPublicEncryptionKey()` Gets the value of the publicEncryptionKey property.
    `Signature` | `getSignature()` An enveloped XML signature that signs the entire request element.
    `void` | `setPublicEncryptionKey(byte[] value)` Sets the value of the publicEncryptionKey property.
    `void` | `setSignature(Signature value)` Sets the value of the signature property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartETKRegistrationRequest

          public StartETKRegistrationRequest()

  - ### Method Detail

    - #### getPublicEncryptionKey

          public byte[] getPublicEncryptionKey()

      Gets the value of the publicEncryptionKey property.
      Returns:
        possible object is byte[]

    - #### setPublicEncryptionKey

          public void setPublicEncryptionKey(byte[] value)

      Sets the value of the publicEncryptionKey property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getSignature

          public Signature getSignature()

      An enveloped XML signature that signs the entire request element. The signature must be created with a valid eHealth authentication certificate the user obtained in a previous step from the Cert RA web service.
      Returns:
        possible object is `Signature`

    - #### setSignature

          public void setSignature(Signature value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `Signature`

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.